<?php

namespace Bezhanov\Faker\Provider;

use Faker\Provider\Base;

class Species extends Base
{
    protected static $birdSpecies = ["Aalge", "Abdimii", "Aberti", "Abingoni", "Aburria", "Abyssinica", "Abyssinicus", "Acadicus", "Accipiter", "Aceros", "Acridotheres", "Acrocephalus", "Acryllium", "Actitis", "Actophilornis", "Acuta", "Acutipennis", "Acutirostris", "Adamsii", "Adeliae", "Adsimilis", "Adspersus", "Aechmophorus", "Aedon", "Aegithalos", "Aegolius", "Aegyptiaca", "Aegyptius", "Aequatorialis", "Aequatorius", "Aestiva", "Aethereus", "Aethia", "Aethiopicus", "Aethiops", "Afer", "Affinis", "Africana", "Africanoides", "Africanus", "Agapornis", "Agelaioides", "Agelaius", "Agelasticus", "Aguimp", "Aimophila", "Aix", "Ajaja", "Alba", "Albatrus", "Albellus", "Albeola", "Albicaudatus", "Albiceps", "Albicilla", "Albicolis", "Albicollis", "Albifrons", "Albigularis", "Albilora", "Albirostris", "Albiventer", "Albiventris", "Albofasciata", "Albolarvatus", "Albospecularis", "Albosquamatus", "Alboterminatus", "Albus", "Alca", "Alcedo", "Alcyon", "Alectoris", "Alectura", "Alexandri", "Alisterus", "Alle", "Alnorum", "Alopochen", "Alpestris", "Alpina", "Aluco", "Amadonastur", "Amaurocephalus", "Amaurornis", "Amaurotis", "Amazilia", "Amazona", "Amazonetta", "Amazonica", "Amblyospiza", "Americana", "Americanus", "Amethystina", "Ammodramus", "Amoena", "Amphispiza", "Anaethetus", "Anas", "Anastomus", "Anatum", "And", "Andinus", "Andropadus", "Angolensis", "Anguitimens", "Angustifrons", "Angustirostris", "Anhinga", "Ani", "Anna", "Anneae", "Anodorhynchus", "Anorrhinus", "Anous", "Anser", "Anseranas", "Antarcticus", "Anthobaphes", "Anthochaera", "Anthracinus", "Anthracoceros", "Anthropoides", "Anthus", "Antigone", "Antillarum", "Antilophia", "Antipodes", "Aphantochroa", "Aphelocoma", "Aphriza", "Apiaster", "Aplopelia", "Aptenodytes", "Apteryx", "Apus", "Aquatica", "Aquaticus", "Aquila", "Ara", "Arachnothera", "Aramus", "Ararauna", "Aratinga", "Arborea", "Arborophila", "Archilochus", "Arctica", "Arcticus", "Arcuata", "Ardea", "Ardeola", "Ardeotis", "Ardesiaca", "Ardosiacus", "Arenaria", "Argentatus", "Argenteus", "Argus", "Argusianus", "Aristotelsis", "Armatus", "Armenicus", "Arminjoniana", "Arnaudi", "Arnotti", "Arquata", "Arquatrix", "Arremon", "Arremonops", "Arundinicola", "Asiatica", "Asiaticus", "Asio", "Assimilis", "Astrild", "Ater", "Aterrimus", "Athene", "Atra", "Atratus", "Atricapilla", "Atricapillus", "Atriceps", "Atricilla", "Atrococcineus", "Atrogularis", "Atthis", "Attila", "Audax", "Auduboni", "Augur", "Aulacorhynchus", "Aura", "Aurantius", "Auratus", "Aurea", "Aureola", "Auriceps", "Auricularis", "Aurifrons", "Auriparus", "Aurita", "Auritus", "Aurocapillus", "Auroreus", "Australis", "Autumnalis", "Avosetta", "Aythya", "Bachmani", "Badius", "Baeolophus", "Baeri", "Baglafecht", "Bahamensis", "Bailloni", "Bairdii", "Balaeniceps", "Balearica", "Bambusicola", "Banksii", "Barbadensis", "Barbarus", "Barbata", "Barnardius", "Baroni", "Bartramia", "Baryphthengus", "Basileuterus", "Bassanus", "Batara", "Batis", "Baudinii", "Bauri", "Beccarii", "Beldingi", "Belli", "Bellicosus", "Bellii", "Bendirei", "Benghalensis", "Bennetti", "Bergii", "Bernicla", "Bernieri", "Bewicki", "Bewickii", "Biarmicus", "Bicinctus", "Bicolor", "Bicornis", "Bidentata", "Bilineata", "Bistriatus", "Biziura", "Blanchoti", "Boehmi", "Bombycilla", "Bonariensis", "Bonasa", "Boobook", "Boodang", "Borin", "Bornea", "Bostrychia", "Botaurus", "Bouvreuil", "Brachypterus", "Brachyrhynchos", "Brachyrhynchus", "Bradfieldi", "Bransfieldensis", "Branta", "Brasilianum", "Brasilianus", "Brasiliense", "Brasiliensis", "Bresilius", "Brevipes", "Brevirostris", "Breweri", "Browni", "Brunneicapillus", "Bubalornis", "Bubo", "Bubulcus", "Buccinator", "Bucephala", "Buceros", "Bucinator", "Bucorvus", "Bulleri", "Bullockii", "Bullockoides", "Buphagus", "Burchelli", "Burhinus", "Burrovianus", "Buteo", "Buteogallus", "Butorides", "Bycaistes", "Cabanisi", "Cacatua", "Cacicus", "Cacomantis", "Cactospiza", "Caerulea", "Caerulescens", "Caeruleus", "Caesia", "Cafer", "Caffra", "Cairina", "Calandra", "Calcarius", "Caledonicus", "Calendula", "Calidris", "Californianus", "Californica", "Californicus", "Calliope", "Callipepla", "Calliphlox", "Callonetta", "Calocitta", "Caloenas", "Calonectris", "Calvus", "Calypte", "Calyptorhynchus", "Camarhynchus", "Camelus", "Campanisona", "Campephilus", "Campestris", "Campethera", "Camptostoma", "Campylopterus", "Campylorhynchus", "Cana", "Canadensis", "Canagicus", "Canaria", "Caniceps", "Canicollis", "Canorus", "Canus", "Canutus", "Capense", "Capensis", "Capicola", "Capitalis", "Capitata", "Caprimulgus", "Caracara", "Carbo", "Cardellina", "Cardinalis", "Carduelis", "Cariama", "Carneipes", "Carolina", "Carolinensis", "Carolinus", "Carpalis", "Carpodacus", "Carunculata", "Carunculatus", "Caspia", "Cassinii", "Castanea", "Castanotis", "Casuarius", "Cathartes", "Catharus", "Catherpes", "Caudacutus", "Caudata", "Caudatus", "Caurina", "Caurinus", "Cauta", "Cayana", "Cayanensis", "Ceciliae", "Cedrorum", "Celata", "Celeus", "Cenchroides", "Centrocercus", "Centropus", "Cepphus", "Cercomela", "Cereopsis", "Cerorhinca", "Certhia", "Certhidea", "Ceryle", "Ceylonensis", "Chacuru", "Chaetocercus", "Chalcophaps", "Chalcoptera", "Chalcospilos", "Chalybaeus", "Chalybea", "Chalybeus", "Chamaea", "Chamaeza", "Charadrius", "Chasiempis", "Chauna", "Chelicuti", "Chen", "Chenonetta", "Cheriway", "Chersomanes", "Chihi", "Chilensis", "Chimachima", "Chimera", "Chinensis", "Chionis", "Chiroxiphia", "Chirurgus", "Chlidonias", "Chloephaga", "Chloricterus", "Chloris", "Chloroceryle", "Chlorocichla", "Chlorophanes", "Chlorophonia", "Chloroptera", "Chloropus", "Chlorostilbon", "Chlorurus", "Choliba", "Chondestes", "Chordeiles", "Chroicocephalus", "Chrysaetos", "Chrysocephalus", "Chrysocome", "Chrysoenas", "Chrysoides", "Chrysolophum", "Chrysolophus", "Chrysomus", "Chrysops", "Chrysostoma", "Chrysura", "Chukar", "Cichladusa", "Ciconia", "Cinclodes", "Cinclus", "Cincta", "Cinerascens", "Cinerea", "Cinereum", "Cinereus", "Cinnamominus", "Cinnyricinclus", "Cinnyris", "Circaetus", "Circus", "Ciris", "Cirratus", "Cirrhata", "Cirrhatus", "Cirrochloris", "Cissa", "Cissopis", "Cistothorus", "Citrea", "Citrina", "Clangula", "Clarkii", "Clemenciae", "Cliftoni", "Clypeata", "Clytolaema", "Cnemotriccus", "Cobbi", "Coccinea", "Coccothraustes", "Coccyzus", "Cochlearius", "Cocoi", "Coelebs", "Coereba", "Coerulescens", "Colaptes", "Colchicus", "Colibri", "Colinus", "Colius", "Collaris", "Collurio", "Colma", "Colubris", "Columba", "Columbarius", "Columbiana", "Columbianus", "Columbina", "Concolor", "Conirostris", "Connivens", "Conopophaga", "Conspicillatus", "Contopus", "Conuropsis", "Convexus", "Cooperi", "Cooperii", "Coprotheres", "Copsychus", "Coqui", "Coracias", "Coracina", "Coragyps", "Coralensis", "Corax", "Corniculata", "Corniculatus", "Coromandus", "Coronata", "Coronatus", "Corone", "Coronoides", "Corrugatus", "Corvinella", "Corvus", "Corythaeola", "Corythaix", "Corythaixoides", "Coscoroba", "Cosmopsarus", "Cossypha", "Costae", "Costaricensis", "Coturnicops", "Coturniculus", "Coua", "Cracticus", "Creagrus", "Creatophora", "Creatopus", "Crecca", "Crecopsis", "Crinitis", "Crissale", "Crissalis", "Cristata", "Cristatella", "Cristatellus", "Cristatus", "Crithagra", "Croceus", "Croconotus", "Crotophaga", "Cruentatus", "Cruentus", "Crumeniferus", "Cruziana", "Cryptoxanthus", "Cucullata", "Cucullatus", "Cuneata", "Cunicularia", "Cupido", "Cupreicaudus", "Currucoides", "Curucui", "Curvirostra", "Curvirostre", "Cuvieri", "Cyana", "Cyanea", "Cyaneus", "Cyanirostris", "Cyanistes", "Cyanocephala", "Cyanocephalus", "Cyanochen", "Cyanocitta", "Cyanocorax", "Cyanoleuca", "Cyanomelas", "Cyanopica", "Cyanoptera", "Cyanopterus", "Cyanopus", "Cyanostictus", "Cyanotis", "Cyanus", "Cyclarhis", "Cygnoides", "Cygnus", "Cynanthus", "Dacelo", "Dacnis", "Dactylatra", "Daption", "Darnaudii", "Daurica", "Davidi", "Decaocto", "Decipiens", "Deckeni", "Decoratus", "Decumanus", "Deglandi", "Delawarensis", "Delicata", "Delichon", "Delphinae", "Demersus", "Dendragapus", "Dendrocolaptes", "Dendrocopos", "Dendrocygna", "Dendroperdix", "Derbianus", "Desmaresti", "Diadematus", "Dickinsoni", "Dicolorus", "Dicrurus", "Difficilis", "Diffusus", "Dimorpha", "Dinemelli", "Dinemellia", "Diomedea", "Discolor", "Discors", "Doliatus", "Dolichonyx", "Domenicensis", "Domesticus", "Dominica", "Dominicanus", "Dorsalis", "Dougallii", "Dromaius", "Dromas", "Drymophila", "Dryocopus", "Dryolimnas", "Dubius", "Dumetella", "Dyphlodes", "Dysithamnus", "Eburnea", "Ecaudatus", "Eclectus", "Ectopistes", "Edouardi", "Egregia", "Egretta", "Elaenia", "Elanoides", "Elanus", "Elegans", "Elseyornis", "Emberiza", "Emberizoides", "Embernagra", "Eminentissima", "Emphanum", "Empidonax", "Empidornis", "Enarratus", "Entomyzon", "Enucleator", "Eolophus", "Eos", "Ephippiorhynchus", "Episcopus", "Epomophora", "Epops", "Eremita", "Eremophila", "Eremopterix", "Erithacus", "Erythrocephalus", "Erythrogaster", "Erythrogenys", "Erythrolophus", "Erythronotos", "Erythronotus", "Erythrophthalma", "Erythrophthalmus", "Erythropthalmus", "Erythrorhyncha", "Erythrorhynchos", "Erythrorhynchus", "Estrilda", "Eudocimus", "Eudromia", "Eudynamys", "Eudyptes", "Eudyptula", "Eugenes", "Eupetomena", "Euphagus", "Euphonia", "Eupodotis", "Eurocephalus", "Europaea", "Eurynome", "Eurypyga", "Excubitor", "Exilis", "Eximius", "Exulans", "Eytoni", "Fabalis", "Falcata", "Falcinellus", "Falcipennis", "Falcklandii", "Falco", "Falklandica", "Falklandicus", "Familiaris", "Famosa", "Fasciata", "Fasciatus", "Fasciicauda", "Fedoa", "Female", "Ferox", "Ferruginea", "Ferrugineigula", "Fimbriata", "Finschi", "Fischeri", "Flabelliformis", "Flammea", "Flammeus", "Flava", "Flaveola", "Flaveolus", "Flavescens", "Flaviceps", "Flavifrons", "Flavipes", "Flavirostra", "Flavirostris", "Flaviventris", "Flavogaster", "Florida", "Floridanus", "Florisuga", "Fluvicola", "Forcipata", "Forficatus", "Formicarius", "Formicivora", "Formicivorus", "Formosa", "Forpus", "Forsteri", "Fortis", "Fossii", "Foudia", "Francolinus", "Frantzii", "Fratercula", "Fregata", "Fringilla", "Frontalis", "Fulgens", "Fulica", "Fulicarius", "Fuliginosa", "Fuliginosus", "Fuligula", "Fulmarus", "Fulvigula", "Fulvus", "Furcatus", "Furnarius", "Fusca", "Fuscatus", "Fuscescens", "Fuscicollis", "Fuscus", "Fytchii", "Gabar", "Galapagensis", "Galapagoensis", "Galbula", "Galeata", "Galeatus", "Galericulata", "Galerita", "Galeritus", "Galgulus", "Gallicolumba", "Gallinacea", "Gallinago", "Gallinula", "Gallirallus", "Gallopavo", "Gallus", "Gambeli", "Gambelii", "Gambensis", "Gambieri", "Garrulax", "Garrulus", "Garzetta", "Gavia", "Gayi", "Gelochelidon", "Genei", "Gentilis", "Geococcyx", "Geopelia", "Geophaps", "Georgiana", "Georgica", "Geospiza", "Geothlypis", "Geotrygon", "Geranoaetus", "Geronticus", "Gibbericeps", "Giganteus", "Gigas", "Gilvus", "Gindiana", "Glacialis", "Glandarius", "Glareola", "Glaucescens", "Glaucidium", "Glaucopis", "Glyphorhynchus", "Gnoma", "Goiavier", "Goliath", "Goura", "Gracilis", "Graculina", "Graculus", "Grallina", "Gramineus", "Grammacus", "Granatina", "Grandis", "Granti", "Gravis", "Grayii", "Graysoni", "Grisegena", "Griseiventris", "Griseocapilla", "Griseus", "Grus", "Gryphus", "Guarauna", "Guatemalensis", "Gubernetes", "Guinea", "Guira", "Guirahuro", "Gujanensis", "Gularis", "Guttata", "Guttatus", "Guttera", "Gutturalis", "Gygis", "Gymnogyps", "Gymnorhina", "Gymnorhinus", "Gyps", "Habroptilus", "Haemacephala", "Haematodus", "Haematonolus", "Haematopus", "Haemorrhous", "Hagedash", "Halcyon", "Haliaeetus", "Haliaetus", "Haliastur", "Halli", "Hammondii", "Harrisi", "Hartlaubi", "Hartlaubii", "Hasitata", "Hedydipna", "Heermanni", "Helias", "Hellmayri", "Hemignathus", "Hemileucurus", "Hemiphaga", "Hemitriccus", "Henslowii", "Herbicola", "Herodias", "Heteralocha", "Heterospizias", "Hiaticula", "Hieraaetus", "Hildebrandti", "Himantopus", "Hirundineus", "Hirundo", "Histrionicus", "Histurgops", "Hoactii", "Hoffmanii", "Hottentota", "Hrota", "Hudsonia", "Humbloti", "Humboldti", "Humeralis", "Hutchinsii", "Huttoni", "Hyacinthinus", "Hybrida", "Hydrophasianus", "Hydroprogne", "Hydropsalis", "Hyemalis", "Hylocharis", "Hylophila", "Hylophilus", "Hymenolaimus", "Hyperborea", "Hyperboreus", "Hyperrhynchus", "Hypoleuca", "Hypsipetes", "Hypugaea", "Ianthinogaster", "Ibis", "Icteria", "Icterocephala", "Icterotis", "Icterus", "Idae", "Ignita", "Iliaca", "Immer", "Immutabilis", "Impennis", "Importunus", "Inca", "Incana", "Indica", "Indicus", "Infuscatus", "Inornatus", "Insularis", "Intermedia", "Intermedius", "Interpres", "Irediparra", "Irrorata", "Islandica", "Ispidina", "Ixobrychus", "Ixoreus", "Jabiru", "Jacana", "Jacarina", "Jacutinga", "Jamaicensis", "Jamesi", "Japonensis", "Japonica", "Jardineii", "Javanicus", "Jefferyi", "Jocosus", "Jubata", "Jubatus", "Jugularis", "Junco", "Kennicottii", "Knipolegus", "Kori", "Lacernulatus", "Lactea", "Lacteus", "Lagonosticta", "Lagopus", "Lalandi", "Lamelligerus", "Lampornis", "Lamprotornis", "Laniarius", "Lanius", "Lapponicus", "Larosterna", "Larus", "Larvata", "Larvatus", "Lateralis", "Laterallus", "Lathami", "Latirostris", "Lawrencei", "Laysanensis", "Leachii", "Leadbeateri", "Lecontei", "Leiothrix", "Leipoa", "Lentiginosus", "Leocogaster", "Leopoldi", "Lepidocolaptes", "Leptasthenura", "Leptodon", "Leptopogon", "Leptoptilos", "Leptotila", "Lesbia", "Leucocarbo", "Leucocephala", "Leucocephalus", "Leucochloris", "Leucogaster", "Leucogeranus", "Leucolophus", "Leucomelas", "Leuconotus", "Leucopareia", "Leucophaeus", "Leucophrys", "Leucopodus", "Leucopsar", "Leucopsis", "Leucoptera", "Leucorodia", "Leucorrhoa", "Leucoryphus", "Leucoscepus", "Leucotis", "Leucura", "Leucurus", "Leverianus", "Levipes", "Lewinii", "Lewis", "Lherminieri", "Libonyana", "Limicola", "Limnodromus", "Limosa", "Lincolnii", "Lineata", "Lineatum", "Lineatus", "Lineola", "Lissotis", "Litsitsirupa", "Livens", "Livia", "Lobata", "Lobatus", "Lomvia", "Lonchura", "Longicauda", "Longicaudus", "Longirostre", "Longirostris", "Lonnbergi", "Lophaetus", "Lophodytes", "Lophonetta", "Lophophanes", "Lophornis", "Lophotes", "Lophotibis", "Lophotis", "Lophotriccus", "Lophura", "Loricata", "Loriculus", "Lorius", "Lory", "Loxia", "Loxigilla", "Loyca", "Luciae", "Lucidus", "Ludoviciana", "Ludovicianus", "Lugubris", "Lunulata", "Luscinia", "Lutea", "Luteola", "Luteovirens", "Lutescens", "Macao", "Maccormicki", "Macdonaldi", "Machetornis", "Mackenziaena", "Macleayanus", "Macleayii", "Macronectes", "Macronyx", "Macrorhynchos", "Macroura", "Macrourus", "Macrurus", "Macularius", "Maculata", "Maculatus", "Maculosa", "Madagascariensis", "Magellanica", "Magellanicus", "Magna", "Magnificens", "Magnificus", "Magnirostris", "Magnolia", "Maguari", "Mahali", "Major", "Malacca", "Malaconotus", "Malacoptila", "Malacorhynchus", "Male", "Malura", "Malurus", "Malvinarum", "Manacus", "Manorina", "Marginatus", "Marila", "Marinus", "Mariquensis", "Maritima", "Maritimus", "Marmaronetta", "Martii", "Martinica", "Mascarin", "Mascarinus", "Massaicus", "Matricaria", "Mauri", "Maurus", "Maxillosus", "Maxima", "Maximus", "Mayeri", "Megacephalum", "Megaceryle", "Megadyptes", "Megalaima", "Megapodius", "Megarhyncha", "Megascops", "Melaenornis", "Melambrotus", "Melancholicus", "Melancoryphus", "Melanerpes", "Melanicterus", "Melanitta", "Melanocephala", "Melanocephalus", "Melanochloros", "Melanodera", "Melanodryas", "Melanogaster", "Melanoleuca", "Melanoleucos", "Melanonota", "Melanonotus", "Melanophris", "Melanops", "Melanoptera", "Melanopterus", "Melanospilus", "Melanotis", "Melanotos", "Melanura", "Melanurus", "Melba", "Meleagris", "Melierax", "Meliphaga", "Mellori", "Melodia", "Melodus", "Melospiza", "Melozone", "Membranaceus", "Mendiculus", "Menstruus", "Mentalis", "Merganser", "Mergellus", "Mergus", "Meridionalis", "Merops", "Merula", "Merulaxis", "Metabates", "Metallura", "Mevesii", "Mexicana", "Mexicanum", "Mexicanus", "Michahellis", "Micrathene", "Micronisus", "Migrans", "Migratorius", "Mikado", "Miles", "Miliaria", "Milvago", "Milvus", "Mimus", "Minimus", "Minor", "Minuta", "Minutilla", "Mionectes", "Mirafra", "Mitrata", "Mitratus", "Mitu", "Mniotilta", "Modestus", "Modularis", "Molitor", "Mollissima", "Molothrus", "Molucca", "Molybdophanes", "Momota", "Momotus", "Monachus", "Monasa", "Monedula", "Monocerata", "Montagnii", "Montanus", "Monteiri", "Montezuma", "Monticola", "Moquini", "Moreirae", "Moreletti", "Morio", "Morus", "Moschata", "Motacilla", "Motitensis", "Mulsant", "Murina", "Muscicapa", "Muscipipra", "Musophaga", "Muta", "Mutata", "Muticus", "Myadestes", "Mycteria", "Myiarchus", "Myioborus", "Myiopagis", "Myiophobus", "Myiopsitta", "Myiornis", "Myrmeciza", "Myrmecocichla", "Nabouroup", "Naevia", "Naevius", "Naevosa", "Namaqua", "Nasutus", "Natalensis", "Naumanni", "Nebouxii", "Nebulosa", "Necrosyrtes", "Nectarinia", "Neglecta", "Nelicourvi", "Nemosia", "Nengeta", "Neopelma", "Neoxena", "Nesoenas", "Nesomimus", "Nestor", "Netta", "Nettapus", "Newtoni", "Niauensis", "Nicobarica", "Nictydromus", "Niger", "Nigerimus", "Nigra", "Nigrescens", "Nigricans", "Nigricollis", "Nigrifrons", "Nigripennis", "Nigripes", "Nigrirostris", "Nigrogularis", "Nilotica", "Ninox", "Nipalensis", "Nisaetus", "Nitens", "Nitidus", "Nivalis", "Nivea", "Nivosus", "Nobabilis", "Nobilis", "Noctua", "Notharchus", "Nothura", "Novaeguineae", "Novaehollandiae", "Novaeseelandiae", "Noveboracensis", "Nubicoides", "Nubicus", "Nuchalis", "Nucifraga", "Numenius", "Numida", "Nuttalli", "Nuttallii", "Nyctanassa", "Nyctibius", "Nycticorax", "Nyroca", "Nystalus", "Oberholseri", "Obscura", "Obscurus", "Obsoletum", "Obsoletus", "Occidentalis", "Occipitalis", "Oceanicus", "Oceanites", "Ocellata", "Ochrocephala", "Ochropyga", "Ocreatus", "Oculata", "Ocyphaps", "Oedicnemus", "Oena", "Oenanthe", "Oenas", "Oleagineus", "Olivacea", "Olivaceus", "Olor", "Onocrotalus", "Onychognathus", "Onychoprion", "Onychorhynchus", "Ophthalmica", "Oporornis", "Oratrix", "Orbitatus", "Oreophasis", "Oreophylax", "Oreortyx", "Oreoscoptes", "Oreothlypis", "Orientalis", "Oriolus", "Ornata", "Ornatus", "Ortalis", "Orthogonys", "Oryzivorus", "Oscitans", "Ossifragus", "Ostralegus", "Otidiphaps", "Otus", "Oustaleti", "Oxyruncus", "Oxyura", "Pachycephala", "Pachyramphus", "Pacifica", "Pacificus", "Pagodroma", "Pagophila", "Palliatus", "Pallida", "Pallidicinctus", "Palmarum", "Palmerstoni", "Palpebrata", "Palumbus", "Palustris", "Panamensis", "Pandion", "Panurus", "Papa", "Papua", "Parabuteo", "Paradisaea", "Paradisea", "Paradisi", "Paraguaiae", "Parasiticus", "Parasitus", "Pardalotus", "Parisorum", "Parkesia", "Paroaria", "Parula", "Parus", "Parvirostris", "Parvulus", "Passer", "Passerculus", "Passerella", "Passerina", "Pastinator", "Patagioenas", "Patagonicus", "Paulista", "Pavo", "Pavonina", "Pectoralis", "Pecuarius", "Pelagicus", "Pelecanus", "Peliperdix", "Penelope", "Penicillatus", "Pennata", "Pensylvanica", "Peposaca", "Peregrinus", "Periparus", "Perisoreus", "Perlatum", "Personata", "Personatus", "Perspicillata", "Pertinax", "Peruviana", "Petechia", "Petrochelidon", "Petroica", "Peucaea", "Peucedramus", "Phacellodomus", "Phaeonotus", "Phaeopus", "Phaethon", "Phaethornis", "Phainopepla", "Phalacrocorax", "Phalaenoptilus", "Phalaropus", "Phalcoboenus", "Phaps", "Pharomachrus", "Phasianus", "Pheucticus", "Phibalura", "Philadelphia", "Philbyi", "Philemon", "Philetairus", "Philippinus", "Philomachus", "Philomelos", "Philppensis", "Phimosus", "Phoebastria", "Phoebe", "Phoebetria", "Phoeniceus", "Phoeniconaias", "Phoenicoparrus", "Phoenicoptera", "Phoenicopterus", "Phoeniculus", "Phoenicurus", "Phrygilus", "Phylidonyris", "Phyllomyias", "Phylloscartes", "Piaya", "Pica", "Picata", "Picoides", "Picta", "Pictus", "Picumnus", "Pileata", "Pileatus", "Pilherodius", "Pinguinus", "Pinicola", "Pinus", "Pionites", "Pionus", "Pipilo", "Pipixcan", "Pipra", "Pipraeidea", "Piprites", "Piranga", "Pitangus", "Pithecophaga", "Pitiayumi", "Pitta", "Plagiatus", "Plancus", "Platalea", "Platensis", "Platycercus", "Platypterus", "Platyrhynchos", "Platyrinchus", "Platyrostris", "Plectrophenax", "Plectropterus", "Plegadis", "Plocepasser", "Ploceus", "Plumatus", "Plumbeiceps", "Pluvialis", "Podargus", "Podiceps", "Podilymbus", "Poecile", "Poecilodryas", "Poecilotriccus", "Poicephalus", "Poicilotis", "Polemaetus", "Polihierax", "Poliocephalum", "Polionotus", "Poliopterus", "Polioptila", "Polyboroides", "Polychopterus", "Polyglottos", "Polyplectron", "Pomarinus", "Pompadora", "Pondicerianus", "Pooecetes", "Poospiza", "Porphyrio", "Porzana", "Prasinus", "Pratincola", "Preciosa", "Pretrei", "Princeps", "Prinia", "Prionops", "Probosciger", "Progne", "Prosopeia", "Protonotaria", "Prunella", "Psaltria", "Psaltriparus", "Psarocolius", "Psephotus", "Pseudastur", "Pseudoleistes", "Pseudonigrita", "Psittacula", "Psophia", "Psophocichla", "Pternistis", "Pterocles", "Pterocnemia", "Pterodroma", "Pteroglossus", "Pteronetta", "Pteroptochos", "Ptilinopus", "Ptilocnemis", "Ptilonorhynchus", "Ptilopsis", "Pubescens", "Puffinus", "Pugnax", "Pulchellus", "Pulsatrix", "Puna", "Punctatus", "Punctulata", "Purpuratus", "Purpureus", "Purpuropterus", "Pusilla", "Pusillus", "Pycnonotus", "Pygargus", "Pygmaea", "Pygoscelis", "Pyrocephalus", "Pyroderus", "Pyrrhocorax", "Pyrrhonota", "Pyrrhopterus", "Pyrrhula", "Pyrrhura", "Pytilia", "Quelea", "Querquedula", "Querula", "Quiscalus", "Quiscula", "Radjah", "Raggiana", "Ralloides", "Rallus", "Ramphastos", "Ramphocelus", "Ramphodon", "Ramphotrigon", "Rapax", "Recorded", "Recurvirostra", "Redivivum", "Reevesi", "Regalis", "Regia", "Regius", "Regulorum", "Regulus", "Reichenowi", "Reinwardt", "Revoilii", "Rex", "Rhea", "Rhinopomastus", "Rhinoptilus", "Rhipidura", "Rhodopareia", "Rhodophoneus", "Rhynchotis", "Rhynochetos", "Rhyticeros", "Richardsonii", "Ridgwayi", "Ridibundus", "Riparia", "Rissa", "Rixosa", "Robusta", "Rollulus", "Roratus", "Roseicapilla", "Roseicollis", "Roseus", "Rossii", "Rostratula", "Rothschildi", "Roulroul", "Rubecula", "Ruber", "Rubescens", "Rubicola", "Rubicunda", "Rubidiceps", "Rubinus", "Rubra", "Rubricapillus", "Rubricauda", "Rubricollis", "Rubripes", "Rubrogenys", "Rudis", "Rueppellii", "Rufa", "Rufescens", "Ruficapilla", "Ruficapillus", "Ruficauda", "Ruficaudus", "Ruficeps", "Ruficollis", "Ruficrista", "Rufina", "Rufitorques", "Rufiventris", "Rufivirgatus", "Rufofuscus", "Rufum", "Rufus", "Rupicola", "Rupicoloides", "Rupicolus", "Rupornis", "Rustica", "Rusticolus", "Ruticilla", "Rynchops", "Sabota", "Sacra", "Sagittarius", "Sahari", "Salpinctes", "Saltator", "Sandvicensis", "Sandwichensis", "Sarcoramphus", "Sarkidiornis", "Sasin", "Satrapa", "Saturatior", "Saturninus", "Saularis", "Savana", "Savannarum", "Saxicola", "Saya", "Sayaca", "Sayornis", "Scalaris", "Scandens", "Scandiacus", "Scapularis", "Scheepmakeri", "Schiffornis", "Schistisagus", "Schoeniclus", "Scirpaceus", "Sclateri", "Scolopacea", "Scolopaceus", "Scolopax", "Scopulinus", "Scopus", "Scoresbii", "Scoticus", "Scripta", "Scutatus", "Seiurus", "Selasphorus", "Seledon", "Semifasciata", "Semipalmata", "Semipalmatus", "Semipartitus", "Semitorquata", "Semitorquatus", "Senegalensis", "Senegallus", "Senegaloides", "Senegalus", "Sephaena", "Sericornis", "Sericulus", "Serinus", "Serpentarius", "Serpophaga", "Serrator", "Serriana", "Serripennis", "Setaria", "Setophaga", "Sialia", "Sialis", "Sibilatrix", "Sicalis", "Similis", "Sinuatus", "Sitta", "Skua", "Smithsonianus", "Smyrnensis", "Socius", "Solitaria", "Solitarius", "Somateria", "Sordida", "Sordidulus", "Souimanga", "Sparsa", "Sparverius", "Speciosa", "Spectabilis", "Specularioides", "Spekei", "Sphecotheres", "Spheniscus", "Sphenurus", "Sphyrapicus", "Spilogaster", "Spinicollis", "Spinosus", "Spiza", "Spizella", "Spizocorys", "Splendens", "Splendidus", "Sponsa", "Sporophila", "Sporopipes", "Squalidus", "Squamata", "Squamifrons", "Squammata", "Squamosa", "Squatarola", "Stagonopleura", "Stelgidopteryx", "Stellaris", "Stellata", "Stelleri", "Stellula", "Stephani", "Stephanophorus", "Stephanoxis", "Stercorarius", "Sterna", "Sternula", "Stictonetta", "Stictothorax", "Stolidus", "Strenua", "Strepera", "Streptopelia", "Striata", "Striatus", "Strigoides", "Strigops", "Strix", "Struthio", "Struthiunculus", "Sturnella", "Sturnus", "Stygius", "Stymphalornis", "Subaureus", "Subbuteo", "Subcristata", "Subflava", "Subis", "Subtilis", "Sula", "Sulcirostris", "Sulfuratus", "Sulphuratus", "Sulphurescens", "Sundevalli", "Superbus", "Superciliaris", "Superciliosa", "Superciliosus", "Surrucura", "Suscitator", "Svecica", "Swainsoni", "Swainsonii", "Sylvestris", "Sylvia", "Sylvietta", "Sylviolus", "Synallaxis", "Syriacus", "Syrigma", "Syrmaticus", "Tabida", "Tabuensis", "Tachybaptus", "Tachycineta", "Tachyeres", "Tachyphonus", "Tadorna", "Tadornoides", "Taeniatus", "Tahapisi", "Tahitiensis", "Taitensis", "Talatala", "Talpacoti", "Tangara", "Tapera", "Tarnii", "Tauraco", "Temminckii", "Tenebricosa", "Tenebrosa", "Tenuirostris", "Terathopius", "Terpsiphone", "Tersina", "Tetrao", "Thagus", "Thalassarche", "Thalasseus", "Thalassina", "Thalassornis", "Thalurania", "Thamnophilus", "Theomacha", "Theristicus", "Thinornis", "Thoracica", "Thraupis", "Threskiornis", "Thryomanes", "Thryothorus", "Thula", "Thyroideus", "Tibicen", "Tigrisoma", "Tinamus", "Tinnunculus", "Tityra", "Tockus", "Toco", "Todiramphus", "Todirhamphus", "Todirostrum", "Tolmiei", "Tolmomyias", "Tomentosum", "Torda", "Torgos", "Torquata", "Torquatus", "Totanus", "Touit", "Toulou", "Townsendi", "Toxostoma", "Tracheliotus", "Trachyphonus", "Tragopan", "Traillii", "Treron", "Trichas", "Trichoglossus", "Tricholaema", "Tricholimnas", "Trichothraupis", "Tricollaris", "Tricolor", "Tridactyla", "Trigonoceps", "Tringa", "Tristigma", "Tristigmata", "Tristis", "Triurus", "Trochilidae", "Troglodytes", "Trogon", "Tuberculifer", "Turdoides", "Turdus", "Turnix", "Turtur", "Tympanuchus", "Typus", "Tyrannulus", "Tyrannus", "Tyto", "Ultramarina", "Umbellus", "Umbretta", "Unappendiculatus", "Underwoodii", "Undulata", "Undulatus", "Unicinctus", "Upupa", "Uraeginthus", "Uratelornis", "Urbica", "Uria", "Urile", "Urinator", "Urocissa", "Urocolius", "Urogallus", "Urophasianus", "Uropygialis", "Urubitinga", "Ustulatus", "Vaillantii", "Validus", "Valisineria", "Vanellus", "Varia", "Variegata", "Varius", "Velatus", "Velox", "Veneratus", "Ventralis", "Vermiculatus", "Vermivora", "Verreauxi", "Verreauxii", "Versicolor", "Verticalis", "Vespertinus", "Vestiaria", "Vetula", "Victor", "Victoriae", "Vidua", "Viduata", "Villosus", "Violacea", "Violaceus", "Violiceps", "Virdis", "Virens", "Vireo", "Virescens", "Virgata", "Virginianus", "Virgo", "Viridigenalis", "Viridis", "Vitellinus", "Vitiensis", "Vittata", "Vocifer", "Vociferans", "Vociferus", "Volatinia", "Vulcani", "Vulgaris", "Vultur", "Vulturinum", "Wahlbergi", "Washingtoniensis", "Whitneyi", "Wilsonia", "Wollweberi", "Woodhouseii", "Wrightii", "Wyvilliana", "Xanthocephalus", "Xanthopterygius", "Xanthotis", "Xolmis", "Yetapa", "Yncas", "Yucatanensis", "Zenaida", "Zonarius", "Zonotrichia", "Zosterops"];
    protected static $plantGenus = ["Abelia", "Abeliophyllum", "Abies", "Abutilon", "Acalypha", "Acanthopanax", "Acanthus", "Acer", "Achillea", "Achimenes", "Acorus", "Aconitum", "Acorus", "Actaea", "Actinidia", "Actinomeris", "Adiantum", "Adina", "Aegopodium", "Aesculus", "Agalinis", "Agapanthus", "Agarista", "Agastache", "Agava", "Ageratina", "Ageratum", "Ailanthus", "Ajuga", "Akebia", "Albizia", "Albuca", "Alcea", "Alchemilla", "Aletris", "Alisma", "Allamanda", "Allium", "Alnus", "Aloysia", "Alstroemeria", "Alternanthera", "Amaranthus", "Amaryllis", "Amelanchier", "Amianthium", "Ammi", "Ammobium", "Amorpha", "Amelopsos", "Amsonia", "Anaphalis", "Anchusa", "Andromeda", "Andropogon", "Anemone", "Anethum", "Anemonella", "Angelica", "Angelonia", "Anisostichus", "Antennaria", "Anthericum", "Antholyza", "Anthoxanthum", "Antrhiscus", "Antigonon", "Antirrhinum", "Aplectrum", "Apocynum", "Aquilegia", "Arachiodes", "Aralia", "Araujia", "Arbutus", "Arcrostaphy", "Arctium", "Arctosis", "Ardisia", "Arenaria", "Arethusa", "Aristolochia", "Armeria", "Aronia", "Arrhenatherum", "Artemesia", "Artemisia", "Aruncus", "Arundo", "Asarum", "Acelpias", "Asimina", "Aspidistra", "Asplenium", "Aster", "Astilbe", "Astragalus", "Athyrium", "Aucuba", "Aureolaria", "Aurinia", "Azolla", "Babiana", "Baccharis", "Baptisia", "Bassharis", "Baumea", "Begonia", "Belamcanda", "Bellis", "Berberis", "Bergenia", "Bessera", "Betula", "Bidens", "Bignonia", "Blechnum", "Bletilla", "Bloomeria", "Borago", "Botrychium", "Bougainivillea", "Brasenia", "Brassica", "Briza", "Brodiaea", "Browallia", "Brugmansia", "Buddleia", "Bumelia", "Buxus", "Caladium", "Calamagrostis", "Calendula", "Callicarpa", "Callistephus", "Calodecedrus", "Calochortus", "Calonyction", "Caltha", "Calycanthus", "Camassia", "Campanula", "Campsis", "Canna", "Cardiucrinum", "Carduus", "Carex", "Carpinus", "Carum", "Carya", "Caryopteris", "Cassia", "Castanea", "Castilleja", "Catalpa", "Catharanthus", "Ceanothus", "Cedrela", "Cedrus", "Celastrus", "Celosia", "Celtis", "Centaurea", "Centranthus", "Cephalanthus", "Ceratiola", "Cercidiphyllum", "Cercic", "Chamaecyperai", "Chamaecyparis", "Chasmanthe", "Chelone", "Chionanthus", "Chionodoxa", "Chlidanthus", "Chrysanthemum", "Chrysogonum", "Chicorium", "Cimicifuga", "Cladrastis", "Claytonia", "Clematis", "Cleome", "Clerodendrum", "Clethra", "Clifonia", "Clitoria", "Clivia", "Cobaena", "Cocculus", "Coix", "Colchicum", "Coleus", "Colocasia", "Commelina", "Conopholis", "Conradina", "Convallaria", "Coreopsis", "Coriandrum", "Cornus", "Cortaderia", "Corylorsis", "Corylus", "Cosmos", "Cotinus", "Cotoneaster", "Crataegus", "Cronum", "Crocosmia", "Crocus", "Cryptomeria", "Cunninghamia", "Cuphea", "Cupressus", "Curcuma", "Curtonus", "Cyclamen", "Cydonia", "Cymbopogon", "Cypredium", "Cyressus", "Cyrilla", "Dahlia", "Danae", "Daphne", "Datura", "Daucus", "Davidia", "Decumaria", "Delphinium", "Dandranthema", "Dennstaedtia", "Dentaria", "Deparia", "Deschampsia", "Desmodium", "Deutzia", "Dianthus", "Diascia", "Dicentra", "Dichichium", "Dichromena", "Doctamnus", "Diervilla", "Dietes", "Digitalis", "Diodia", "Dionaea", "Diospyros", "Dipelta", "Diphelleia", "Diplazium", "Disanthus", "Disporum", "Dodecatheon", "Dilochos", "Doronucum", "Drosera", "Dryopteris", "Duchesnea", "Duranta", "Dyssodia", "Eccremocarpus", "Echinecea", "Ehinops", "Echium", "Ehretia", "Eichornia", "Elaegnus", "Eleagnus", "Eleocharis", "Elymus", "Enkianthus", "Epifagus", "Epigaea", "Epilobium", "Epimedium", "Equisetum", "Eragrostrum", "Eranthis", "Eremurus", "Erianthus", "Erigeron", "Eriobotrya", "Eriocaulon", "Eriophorum", "Erysimum", "Erythronium", "Escallonia", "Eschscholzia", "Eucalyptus", "Eacharis", "Eucomis", "Eucommia", "Ecrosia", "Euonymus", "Eupotorium", "Eophorbia", "Euptellea", "Euryale", "Escaphis", "Evodia", "Evolvulus", "Exochorda", "Fagopyrum", "Fagus", "Falluiga", "Fathsedera", "Fatsia", "Feijoa", "Festuca", "Ficus", "Filipendula", "Firmiana", "Foeniculum", "Fontanesia", "Forsythia", "Fothergilla", "Fragaria", "Franklinia", "Fraxinus", "Freesia", "Fritillaria", "Fuchsia", "Gaillardia", "Galactia", "Galanthus", "Galax", "Galearis", "Galium", "Galtonia", "Gardenia", "Gaultheria", "Gaura", "Gazania", "Gelseminum", "Gelsemium", "Genista", "Gentian", "Gentiana", "Geranium", "Gerardia", "Gerbera", "Geum", "Gillenia", "Ginko", "Gladiolus", "Glechoma", "Gleditsia", "Gloriosa", "Glyceria", "Gnaphalium", "Gomphrena", "Goodyera", "Gordonia", "Gratiola", "Gymnocladus", "Gypsophila", "Habenaria", "Habranthus", "Hakonechlao", "Halesia", "Hamamelis", "Hedera", "Hedychium", "Helenium", "Helianthus", "Helichrysum", "Helictotrichor", "Heliopsis", "Heliotropium", "Helleborus", "Gemerocallis", "Gepatica", "Heptacodium", "Hesperis", "Heuchera", "Hibiscis", "Hippeastrum", "Hosta", "Houstonia", "Hovenia", "Humulus", "Hyacinthus", "Hydrangea", "Hymenocallis", "Hypericum", "Hyssopus", "Iberis", "Ilex", "Illicum", "Imperarata", "Incarvillea", "Indigofera", "Inula", "Ipheion", "Ipomea", "Ipomoea", "Ipomopsis", "Iris", "Isotria", "Itea", "Ixia", "Ixiolirion", "Ixora", "Jasminum", "Juglans", "Juncus", "Juniperous", "Kadsura", "Kalimeris", "Kalmia", "Kalopanax", "Kerria", "Kniphofia", "Koeleria", "Koelreuteria", "Kolkwitzia", "kostelezkya", "Krigia", "Laburnum", "Lactuca", "Lagenaria", "Lagerstroemia", "Lagurus", "Lamium", "Lantana", "Lapeirousia", "Larix", "Lathrus", "Lathyrus", "Larusi", "Lavandula", "Lavatera", "Leiophyllum", "Lemna", "Lepisorus", "Lespedeza", "Leucojum", "Leucothoe", "Levisticum", "Liatris", "Ligularia", "Ligistrum", "Lilium", "Limonium", "Linaria", "Lindera", "Linum", "Liquidambar", "Liriodendron", "Liriope", "Lobelia", "Lobularia", "Lonicera", "Loropetalum", "Ludwigia", "Luffa", "Lupinus", "Lycoris", "Lyonia", "Lysimachia", "Lythrum", "Maackia", "Maclura", "Magnolia", "Mahonia", "Maianthemum", "Majorana", "Malope", "Malus", "Malva", "Malvaviscus", "Mandevilla", "Marrubium", "Marshallia", "Marsilea", "Matelea", "Matricaria", "Matteuccia", "Meconopsis", "Mediola", "Melampodium", "Melampyrum", "Melia", "Melica", "Mentha", "Metensia", "Metasequoia", "Michelia", "Microbiota", "Milla", "Mimulus", "Mina", "Minuartia", "Mirabilis", "Mischanthus", "Mitella", "Molina", "Molucella", "Momordica", "Monarda", "Moraea", "Morus", "Muhlenbergia", "Muscari", "Myosotis", "Myrica", "Myriophyllum", "Nandina", "Narcissus", "Nassella", "Neillia", "Nelumbo", "Nemesia", "Nemophila", "Nepeta", "Nepta", "Nerine", "Nerium", "Neviusia", "Nierembergia", "Nigella", "Nomocharis", "Nymphaea", "Nymphoides", "Nyssa", "Ocimum", "Odentonema", "Oenethera", "Omphalodes", "Onoclea", "Ophiopogon", "Origanum", "Ornithogalum", "Orontium", "Osmanthus", "Osmunda", "Osteaspermum", "Ostrya", "Oxalis", "Oxydendrum", "Pachysandra", "Paeonia", "Pandorea", "Panicum", "Papaver", "Parnassia", "Paronychia", "Parrotia", "Parthenium", "Parthenocissus", "Passiflora", "Paulownia", "Pedicularis", "Pelargonium", "Pellaea", "Pennisetum", "Penstemon", "Pentas", "Perilla", "Perovskia", "Persea", "Petroselinum", "Phacelia", "Phalaris", "Phaseolus", "Phegopteris", "Phellodendron", "Phelloendro", "Phlox", "Phormium", "Photinia", "Physocarpus", "Physostegia", "Phytolacca", "Picea", "Picrasma", "Pieris", "Pilosella", "Pimpinella", "Pickneya", "Pinguicula", "Pinus", "Pistacia", "Pittosporum", "Platanthera", "Platanus", "Platycodon", "Plectranthus", "Pleioblastus", "Plumbago", "Podocarpus", "Podophyllum", "Pogonia", "Polemonium", "Polianthes", "Poliothyrsis", "Polygala", "Polygonatum", "Polygonella", "Polygonum", "Polypodium", "Polystichum", "Poncirus", "Pontederia", "Populus", "Porteranthus", "Potentilla", "Poterium", "Prenanthes", "Primula", "Prunella", "Prunus", "Pseudocydonia", "Pseudolaria", "Pseudolarix", "Pseudotsya", "Ptelea", "Pteridium", "Pteris", "Pterocarcya", "Pteroceltic", "Pterostyrax", "Pulmonaria", "Punica", "Puschkinia", "Pycnanthemum", "Pyracantha", "Pyrathrum", "Pyrola", "Pyrrosia", "Pyrus", "Quamoclit", "Quercus", "Ranunclus", "Ratibida", "Rhammus", "Ramnella", "Ramnuus", "Rhaphiolepis", "Rhapidiophyllum", "Rhexia", "Rododendron", "Rhodohypoxis", "Rhus", "Rhychospora", "Ricinus", "Robinia", "Rosa", "Rosmarinus", "Rubus", "Rudbeckia", "Ruellia", "Rumex", "Ruscus", "Russelia", "Ruta", "Sabal", "Sabatia", "Saccharum", "Sagittaria", "Salix", "Salvia", "Sambucus", "Sandersonia", "Santolina", "Saponaria", "Sarcococca", "Sarracenia", "Sasa", "Sassafras", "Satureja", "Saururus", "Saxifraga", "Scabiosa", "Scadoxus", "Scaevola", "Schizichyrium", "Schizanthus", "Schizophragma", "Schizolstylis", "Scilla", "Scripus", "Scutellaria", "Sedum", "Selaginella", "Senecio", "Sequoia", "Sequsiadendron", "Serissa", "Sesbania", "Sesleria", "Setcreasea", "Shepherdia", "Shortia", "Silene", "Silphinum", "Sinojackia", "Sisyrinchium", "Skimmia", "Smilacina", "Smilax", "Solanum", "Solenostemon", "Solidago", "Sonchus", "Sophora", "Sorbaria", "Sorbus", "Sorphaatum", "Sparaxis", "Spartina", "Spartium", "Spigelia", "Spiraea", "Spiranthes", "Spodiopogon", "Sporobolis", "Sporobolus", "Sprekelia", "Stachys", "Stachyurus", "Staphylea", "Stauntonia", "Stella", "Stellaria", "Stenanthium", "Stephandra", "Sternbergia", "Stewarta", "Stewartia", "Stokesia", "Streptopus", "Strobilanthes", "Stylophorum", "Stylosanthes", "Styrax", "Sutera", "Sycopsis", "Symphoricarpos", "Syringa", "Tagetes", "Tamarix", "Tanacetum", "Taraxacum", "Targetes", "Taxodium", "Taxus", "Tecomaria", "Tephrosia", "Ternstroemia", "Teucrium", "Thalia", "Thalictrum", "Thelpteris", "Thermopsis", "Thuja", "Thunbergia", "Thymus", "Tiarella", "Tilia", "Tipularia", "Tithonia", "Toona", "Torenia", "Trachelospermum", "Trachycarpus", "Tradescantia", "Tragopogon", "Trichostema", "Trifolium", "Trillium", "Tritonia", "Trollius", "Tropaeolum", "Tsuga", "Tulipa", "Typha", "Ulmus", "Utricularia", "Uvularia", "Vaccinium", "Valeriana", "Veltheimia", "Varatrum", "Varbascum", "Verbana", "Veronica", "Vetiverzia", "Viburnum", "Victoria", "Vinca", "Viola", "Vitex", "Vitis", "Waldsteinia", "Watsonia", "Weigela", "Wisteria", "Woodsia", "Woodwardia", "Xanthoriza", "Xyris", "Yucca", "Zantedeschia", "Zanthoxylum", "Zelkova", "Zeonbia", "Zephyranthes", "Zinnia", "Zizia"];
    protected static $plantType = ["chinesis", "mosanensis", "grandiflora", "distichum", "balsamea", "cilicica", "concolor", "firma", "freseri", "koreana", "lasiucarpa", "nordmanniana", "pinagene", "hybridum", "wilkesiana", "siboldianus", "spinosus", "barbatu, ", "buergeranum", "campestre", "capillipes", "coppadocicum", "crataegifum", "diabolicum", "ginnala", "griseum", "japonica", "japonicum", "leucoderme", "mono", "negundo", "nigrum", "nokoense", "nipponicum", "palmatum", "platanoides", "pseuodoplatanus", "rubrum", "refinerve", "saccharinum", "saccharum", "sieboldiamum", "spicatum", "tegmentosum", "triflorum", "truncatum", "millefolium", "tomentosa", "bicolor", "uncinatum", "calamus", "calomus", "gramimineus", "gramineus", "pachypoda", "chinensis", "kolomikta", "melanandra", "alternifolia", "capillus", "pedatum", "raddianum", "rubella", "podagraria", "glabra", "hippcastamon", "octandra", "parviflora", "pavia", "populifolia", "foeniculum", "parryi", "salmiana", "houstonianum", "altissima", "reptans", "quinata", "julibrissin", "kalkora", "rosea", "mollis", "farinosa", "cathartica", "aflatunense", "caeruleum", "canadense", "cowanii", "giganteum", "karataviense", "moly", "neopolitanium", "tricoccum", "glutinosa", "hirsuta", "serrulata", "hybrida", "triphylla", "dentata", "caudatis", "belladonna", "alnifolia", "arborea", "canadensis", "laevis", "alatum", "canescens", "fruticosa", "arborea", "azurea", "capensis", "polofolia", "gerardii", "glomeratus", "virginicus", "blanda", "coronaria", "fulgens", "pulsatilla", "riparia", "thalictroides", "graveolens", "trinquinata", "angustifolia", "carprealatus", "dioica", "solitaria", "liliago", "odoratum", "cerefolium", "leptopus", "majus", "hyemale", "cannabinum", "canadensis", "simplicior", "spinosa", "sericifera", "menziesii", "lappa", "minus", "crenata", "stricta", "bulbosa", "daconitum", "triphyllum", "durior", "maritima", "arbutifolia", "melanocarpa", "prunifolia", "ludoviciana", "abrotanum", "absinthium", "dracunculus", "dioicus", "domax", "donax", "splendens", "curassavica", "incarnata", "lanceolata", "quadrifolia", "syriaca", "tuberosa", "triloba", "acuminatus", "carolinianis", "cordifolius", "divaricatus", "ericoides", "laevis", "lateriflorus", "oblongifolius", "pilosus", "umbellatus", "biternata", "filix", "halimifolia", "alba", "australis", "rubiginosa", "grandis", "semperflorens", "xargenteogutta", "chinensis", "perennis", "candidula", "julianae", "koreana", "thunbergii", "triacanthophora", "verruculosa", "chenaultii", "gladweynensis", "mentorensis", "cordifolia", "jacqemontii", "papyrifera", "pendula", "platyphylla", "aristosa", "laevis", "spicant", "virginianum", "spectabilis", "schreberi", "juncea", "oleracea", "maxima", "speciosa", "alternifolia", "davidii", "globosa", "lindleyana", "weyeriana", "harlandii", "sepervirens", "sinica", "brachytricha", "oficcinilalis", "chinensis", "decurrens", "aculeatum", "palustris", "floridus", "cusickii", "radicans", "tagliabuana", "muticus", "elata", "firma", "morrowii", "muskingumensis", "oshimensis", "phyllocephala", "siderosticha", "betulus", "caroliniana", "cordata", "orientalis", "carvi", "cordiformis", "glabra", "mystristicaeformis", "ovalis", "ovata", "pallida", "fasiculata", "pumila", "sative", "coccinea", "bignonioides", "speciosa", "sinsensis", "atlantica", "deodara", "libani", "orbiculatus", "scandens", "laevigata", "montana", "cineraria", "cyanus", "occidentalis", "ericoides", "plumbaginoides", "retisus", "chingii", "giganteta", "racemosa", "siliquastrum", "yunnanensis", "obtusa", "pisifera", "thyoides", "nobile", "latifolium", "lyonii", "retusus", "luciliae", "fragrans", "morifolium", "balsamita", "leucanthemum", "intybus", "lutea", "armandii", "coccinea", "paniculata", "texensis", "viorma", "viticella", "trichotomum", "acuminata", "alnifolia", "monophylla", "mariana", "scandens", "carolina", "lacryma", "autumnale", "verticilaata", "majalis", "sativum", "alternifolia", "amomum", "asperifolia", "controversa", "kousa", "sanguinea", "selloana", "avellana", "coggygria", "dammeri", "horizontalis", "salicifolius", "crusgalii", "oxycantha", "phaenopyrum", "pinnatifida", "lavalleri", "hysspoifolia", "citratus", "arizonica", "hortensis", "caucasia", "genkwa", "odora", "retusa", "mentensiana", "innoxia", "carota", "involucrata", "barbara", "cooperi", "nubigena", "exatatum", "tricorne", "pacificum", "punctiloba", "laciniata", "acrostichoides", "cesptiosa", "nudiflorum", "crenata", "gracilis", "ninpoensis", "scabra", "lemoinei", "rosea", "armeria", "barbatus", "chinensis", "deltoides", "plumarius", "barbarae", "intergerrima", "canadensis", "cucullaria", "exima", "spectabilis", "colorata", "latifolia", "albus", "sessilifolia", "obscura", "purpurea", "virginiana", "muscipula", "khaki", "virginiana", "florbunda", "cymosa", "ceridifolius", "maculatium", "meadia", "lablab", "filiformis", "affinis", "carthusiana", "celsa", "dilatata", "erythrosora", "goldiana", "marginalis", "siboldii", "vilarri", "wallichiana", "indica", "erecta", "tenuiloba", "scaber", "paradoxa", "purpurea", "vulgare", "acuminata", "crassipes", "pungens", "angustifolia", "quadrangulata", "arenarius", "campanulatus", "repens", "angustifolium", "perralchicum", "rubrum", "youngianum", "hyemale", "scorpoides", "spectablis", "ravannae", "pulchellus", "aquaticum", "linifolium", "cinerea", "ulmoides", "alatus", "bungeanus", "fortunei", "hamiltonianus", "kiautschovicus", "coelestinum", "hyssopifolium", "maculatum", "perfoliatum", "rugosum", "corrllata", "cyparissias", "esula", "marginata", "myrsinites", "polychroma", "robbiae", "polyvandra", "ferox", "glomeratus", "macrantha", "sagittatum", "crenata", "engleriana", "sylvatica", "lizei", "sellowiana", "glauca", "ovina", "pumila", "palmata", "simplex", "ouata", "viridissima", "gardenii", "alatamaha", "carloniana", "profunda", "imperialis", "melagris", "hybrida", "pulchella", "nivalis", "aphylla", "spectablis", "aparine", "odoratum", "candicans", "augusta", "jasminoides", "procumbens", "lindheimeri", "ranki", "lydia", "tinctoria", "quinquefolia", "saponaria", "manculatium", "sanguineum", "flava", "laevigata", "trifoliata", "biloba", "byzantinus", "hederace", "triacanthos", "obtusifolium", "globosa", "pubescens", "lasianthus", "viscidula", "dioicus", "paniculata", "aureola", "macro", "diptera", "tetraptera", "macrophylla", "vernalis", "canariensis", "colchica", "helix", "coronarium", "bractaetum", "helianthoides", "amplexicaule", "arborescens", "miconioides", "matronnalis", "coccineus", "moscheutos", "delcis", "lupulus", "anomala", "arborescens", "quercifolia", "calycinum", "proflicum", "amara", "aquifolium", "cassine", "cornuta", "crenata", "decidua", "opaca", "pernyi", "serrata", "verticallata", "vomitoria", "anisatum", "flordanum", "parviflorum", "balsamina", "capensis", "wallerana", "cylindrica", "amblyantha", "heterantha", "kirilowii", "pseudotinctoria", "uniflorum", "quamoclit", "pandurata", "rubra", "brevicaulis", "ensata", "germanica", "hexagona", "hollandica", "reticulata", "tectorum", "floridum", "fruticans", "humile", "officinale", "parkeri", "diphylla", "effusus", "conferta", "procumbens", "scopulorum", "conferta", "sabina", "squamata", "pinnatifida", "angustifolia", "pictus", "bipinnata", "paniculata", "amabilis", "anagyroides", "floridana", "siceraria", "fauriei", "indica", "ovatus", "amplexicaule", "galeobdolon", "maculatum", "camara", "montevidensis", "triofoliata", "kaempheri", "latifolius", "odoratus", "fluviatilis", "angustifolia", "stochas", "trimestris", "buxifolium", "thunbergii", "aestivum", "axillaris", "fontanesiana", "recurvara", "psycnostachya", "scariosa", "spicata", "squarrosa", "stenocephala", "tussilaginea", "lucidum", "sinense", "candidum", "michauxii", "latifolium", "sinautum", "canadensis", "benzoin", "glauca", "obtusiloba", "grandiflorum", "perenne", "lilifolia", "formosana", "styraciflua", "tulipifer", "exiliflora", "muscaria", "spicata", "cardinalis", "erinus", "puberala", "sphilitica", "spicata", "maritima", "alseuosmoides", "fragrantissima", "nitida", "periclymenum", "pileata", "heckrottii", "tellmanniana", "xyiosteum", "alternifolia", "longifolia", "sidioides", "diffusus", "villosus", "chalcedonica", "coronaria", "aerea", "radiata", "ligustrina", "ciliata", "clethroides", "numularia", "quadrifolia", "salicaria", "amuremsis", "pomifera", "loebneri", "acuminata", "cylindrica", "denudata", "fraseri", "kobus", "liliflora", "macrophylla", "stella", "tripetala", "soulangiana", "aquifolium", "bealei", "hortensis", "halliana", "hupehensis", "yannanensis", "moschata", "arboreus", "amabalis", "graminifolia", "carolinensis", "recutita", "struthiopteris", "betonicifolia", "paludosum", "lineare", "pratense", "azadarach", "ciliata", "spicata", "piperita", "glyptostroboides", "yunnanensis", "decussata", "lobata", "verna", "jalapa", "floridulus", "sinensis", "transmorrisonensis", "diphylla", "caerulea", "laevis", "didyma", "punctata", "capillaris", "armeniacum", "botryoides", "comosum", "sylvatica", "cerifera", "domestica", "tenuissima", "lutea", "strumosa", "menziesii", "faasenii", "bowdenii", "oleander", "hippomanica", "damascena", "colorata", "odorata", "marliacea", "pelatum", "ogeche", "biennis", "fruticosa", "speciosa", "tetragona", "linifolia", "sensibilis", "jaburan", "majorana", "vulgare", "delavayi", "fragrans", "cinnamomea", "claytoniana", "hyoseroides", "crassipes", "violacea", "arboreum", "caeruleum", "procumbens", "terminalis", "pandorana", "virgatum", "somniferum", "asarifolia", "persica", "integrifolium", "tricuspidata", "incarnata", "peltatum", "hortorum", "alopecuroides", "setaceum", "canescens", "cobaea", "atriplicifolia", "borbonia", "palustris", "crispum", "hybrida", "bipinnatifida", "purshii", "arundarinacea", "arundinaera", "coccineus", "hexagonoptera", "sachalinense", "amurense", "coronarius", "delavayi", "inodorus", "lemoinei", "divaricata", "glaberrima", "paniculata", "stolonifera", "subulata", "glabra", "serrulata", "villosa", "fraseri", "opulifolius", "abies", "asperata", "glauca", "mariana", "omorika", "ailanthoides", "floribunda", "officnarum", "anisum", "caerulea", "baksiana", "bungeana", "cembra", "densiflora", "echinata", "edulis", "flexilis", "heldreichii", "korariensis", "monticola", "mugo", "palustris", "parviflora", "peucea", "piaster", "ponderosa", "rigida", "strobus", "sylvestris", "taeda", "thunbergiana", "wallichiana", "yunnanensis", "stratiotes", "tobira", "psycodes", "ciliaris", "orbiculata", "acerifolia", "argentatus", "fosteri", "auricoma", "variegatus", "auriculata", "macrophyllus", "peltatum", "ophioglossoides", "curtissii", "lutea", "biflorum", "cuspidatum", "hydropiper", "polypodioides", "polyblepharum", "setiferum", "cordata", "deltoides", "recta", "tridentata", "sanguisorba", "veris", "poluantha", "vulgaris", "webbiana", "cerasifera", "glandulosa", "laurocerasus", "lusitonica", "mume", "persica", "sargentii", "serotina", "serrula", "serrulata", "subhirtella", "bilireana", "cistena", "yedoensis", "jaempferx", "amabilis", "stenoptera", "tartarinowii", "corymbosa", "hispidus", "muticum", "coccinea", "koidzumii", "elliptica", "rotundifolia", "hastata", "lungua", "calleryana", "pyrifolia", "pennata", "acutissima", "alba", "dentala", "falcata", "franinetto", "geminata", "hemisphaerica", "imbricaria", "lyrata", "margarattiae", "merilandica", "mniima", "oglethorpensis", "palustris", "prinus", "rubra", "flammula", "pinnata", "franguloides", "cathartica", "umbellata", "delacourii", "atrosanguineus", "arborescens", "bakeri", "calendulaceum", "canescens", "catawbiense", "eriocarpum", "flammeum", "indicum", "kaempferi", "kuisianum", "mucronulatum", "periclymenoides", "prinophyllum", "prunifolium", "roseum", "vaseyi", "viscosum", "yakusimanum", "aromatica", "copallina", "glabra", "typhina", "hispida", "pseudoacacia", "calcyinoides", "odoratus", "fulgida", "laciniata", "hastatulus", "aculeatus", "equisentiforumis", "graveolens", "palmetto", "angularis", "ravennae", "fasciculata", "babylonica", "caprea", "chaenomeloides", "discolor", "matsudana", "sachhalinensis", "sinata", "elegans", "farinacea", "leucantha", "lyrata", "sclarea", "uliginosa", "superba", "aurantiaca", "chmaecyparissus", "ocymoides", "ruschifolia", "alata", "drummondii", "psittaccina", "albidum", "cernuus", "stolonifera", "atropurpurea", "caucasica", "aemula", "hydrengeoides", "campanulata", "laustris", "incana", "intergrifolia", "serrata", "makinoi", "spectabile", "spurium", "telepnoides", "ternatum", "tetractinum", "aureus", "giagenteum", "punicea", "pallida", "galacifolia", "intergrifolium", "terebinthinaceum", "rehdreriana", "angustifolium", "jasminoides", "juncea", "nemoralis", "uliginosa", "alnifolia", "aucuparia", "pectinata", "junceum", "marilandica", "albiflora", "cantoniensis", "fritschiana", "plenaflora", "prunifloria", "trilobata", "billiardii", "bumalda", "cernua", "tuberosa", "sibiricus", "airoides", "tenuifolia", "hexaphylla", "lutea", "rostrata", "ovata", "monadelpha", "pseudocamellia", "tenacissima", "amplexifolius", "dyerianus", "corda", "tinctoria", "laciniata", "oblata", "patula", "pekinensis", "persica", "patula", "temurfolia", "cruptmerioides", "ramossisima", "parthenium", "distichum", "baccata", "cuspiduta", "gymnathera", "daelbata", "aquilegifolium", "dasycarpum", "hexagonoptera", "villosa", "occidentalis", "plicata", "gregorii", "praecox", "serpyllum", "cordifolia", "cordata", "mongolica", "platyphyllois", "eychlora", "rotundifolia", "vernix", "asiaticum", "subaspera", "catesbaei", "cunaetum", "luyeum", "pusillum", "sessile", "stamineum", "undulatum", "majus", "peregrinum", "carpinifolia", "parvifolia", "pumila", "sessilifolia", "arboreum", "corymbosum", "macrocarpon", "viride", "thapsus", "canadensis", "rigida", "tenuisecta", "noveboracensis", "peduncularis", "awabuki", "casiinoides", "dentatum", "dilatatum", "erosum", "nudum", "plicatum", "prunifolium", "rufidulum", "setigerum", "bodnantense", "cornuta", "lineariloba", "sororia", "negundo", "fragarioides", "ciraeensis", "macrostachya", "obtusa", "simplicissima", "crinodonna", "oloifolia", "harrimaniae", "aethoipica", "haahenana", "jujuba"];
    protected static $creatureNameParts = [
        ["Acanthuridae", "Achatina", "Achatinoidea", "Acinonyx", "Actinidia", "Aegypius", "Aepyceros", "Ailuropoda", "Ailurus", "Ajaja", "Alcelaphinae", "Alces", "Alligator", "Alopex", "Alouatta", "Ambystoma", "Amphiprioninae", "Anas", "Anguis", "Anisoptera", "Anthozoa", "Apatura", "Apis", "Apodemus", "Aptenodytes", "Arachnocampa", "Arctictis", "Arctocephalinae", "Ardeidae", "Arini", "Arvicola", "Astrochelys", "Atelerix", "Balaenoptera", "Balsenoptera", "Barbus", "Betta", "Bison", "Blattaria", "Bombina", "Bombus", "Bos", "Brachypelma", "Brachyura", "Branta", "Bubalus", "Bubo", "Bufo", "Buteo", "Cacajao", "Caelifera", "Caimaninae", "Callithrix", "Camelus", "Canis", "Canus", "Capra", "Caracal", "Carcharhinus", "Carcharodon", "Caridea", "Castor", "Casuarius", "Caudata", "Cavia", "Cebus", "Cephalopterus", "Ceratophrys", "Ceratotherium", "Cerura", "Cetorhinus", "Cettia", "Chaetodontidae", "Chamaeleonidae", "Chelonioidea", "Chelydridae", "Chilopoda", "Chinchilla", "Chiroptera", "Chlamydosaurus", "Chlamyphorus", "Chlorocebus", "Choeropsis", "Choloepus", "Cichlidae", "Cirripedia", "Civettictis", "Cnidaria", "Coccinellidae", "Coleoptera", "Connochaetes", "Coraciiformes", "Coturnix", "Crocodylus", "Crocuta", "Cryptoprocta", "Cuon", "Cygnus", "Dasyatis", "Dasypodidae", "Dasyurus", "Daubentonia", "Delphinus", "Demospongiae", "Dendrobatidae", "Dendrobranchiata", "Dermaptera", "Desmodontinae", "Dicerorhinus", "Diceros", "Didelphis", "Diomedeidae", "Diplopoda", "Diptera", "Dracaena", "Dromaius", "Dugong", "Dynastes", "Echinoidea", "Electrophorus", "Elephantulus", "Elephas", "Eleutherodactylus", "Emydidae", "Enhydra", "Ephemeroptera", "Equus", "Erethizon", "Erithacus", "Erythrocebus", "Esox", "Eudyptes", "Eudyptula", "Euptilotis", "Falconiforme", "Felis", "Formicidae", "Fratercula", "Fregata", "Funambulus", "Galeocerdo", "Gallinula", "Gallus", "Gavia", "Gavialis", "Gekkonidae", "Geochelone", "Gerbillinae", "Gerridae", "Ginglymostoma", "Giraffa", "Gliridae", "Gopherus", "Gorilla", "Gruidae", "Gulo", "Gynnidomorpha", "Halichoerus", "Helarctos", "Heleioporus", "Heloderma", "Helogale", "Hemigalus", "Heterodontus", "Hieraatus", "Hippocampus", "Hippopotamus", "Holothuroidea", "Homo", "Hydrochoerus", "Hydrodamalis", "Hydrurga", "Hyla", "Hylobatidae", "Hymenoptera", "Iguana", "Indri", "Insecta", "Isoptera", "Labridae", "Lacerta", "Lacertilia", "Lagenorhynchus", "Lagothrix", "Lama", "Larva", "Latrodectus", "Lemmus", "Lemur", "Leontopithecus", "Leopardus", "Lepisosteidae", "Leptailurus", "Lepus", "Limulidae", "Lissotriton", "Litoria", "Lopholithodes", "Loxodonta", "Lucanidae", "Luscinia", "Lutra", "Lycaon", "Lynx", "Macaca", "Macropus", "Mammuthus", "Mandrillus", "Manta", "Megadyptes", "Megaptera", "Meleagris", "Melopsittacus", "Mephitis", "Merops", "Mesobatrachia", "Mesocricetus", "Metynnis", "Microcebus", "Mirounga", "Moloch", "Muraenidae", "Mustela", "Myrmecobius", "Myrmecophaga", "Nandinia", "Nasalis", "Nasua", "Nectophryne", "Neofelis", "Nephropidae", "Numididae", "Nyctereutes", "Ochotona", "Octopus", "Odobenus", "Odocoileus", "Okapia", "Oniscidea", "Ophisaurus", "Orcinus", "Oriolus", "Ornithorhynchus", "Oryctolagus", "Osteolaemus", "Ostreidae", "Otariidae", "Ovis", "Paguma", "Paguroidea", "Pan", "Panthera", "Papilionoidea", "Papio", "Paracheirodon", "Paradisaeidae", "Paradoxurus", "Paralichthys", "Passeridae", "Pavo", "Pecari", "Pelecanus", "Pelophylax", "Perameles", "Phacochoerus", "Phaethon", "Phalanger", "Phalangeriforme", "Pharomachrus", "Phascolarctos", "Phasianus", "Phasmatodea", "Phoca", "Phoenicopterus", "Phycodurus", "Physeter", "Physignathus", "Pica", "Picidae", "Platanistoidea", "Poecilia", "Pogona", "Pomacanthidae", "Pongo", "Prionailurus", "Pristella", "Procavia", "Procyon", "Proteus", "Protoreaster", "Pseudoryx", "Psittacine", "Pterois", "Pteromyini", "Pygocentrus", "Pygoscelis", "Ramphastos", "Rana", "Rangifer", "Raphus", "Rattus", "Recurvirostra", "Rhincodon", "Rhinoceros", "Rhinocerotidae", "Rhinoderma", "Rupicapra", "Saguinus", "Saimiri", "Sarcophilus", "Sciuridae", "Scorpaenidae", "Scorpiones", "Sepiida", "Serpentes", "Setonix", "Siluriformes", "Simia", "Smilodon", "Spermophilus", "Spheniscus", "Sphenodon", "Sphyraena", "Sphyrna", "Squalus", "Stegostoma", "Strigops", "Strix", "Struthio", "Sula", "Suricata", "Sus", "Symphysodon", "Syncerus", "Tachyglossus", "Talpidae", "Tamias", "Tapirus", "Tarsius", "Taxidea", "Tetraodontidae", "Tetraoninae", "Teuthida", "Threskiornithidae", "Thylogale", "Tragelaphus", "Tremarctos", "Trichechus", "Tridacna", "Trochilidae", "Troglodytes", "Tursiops", "Tyto", "Urochordata", "Uroplatus", "Ursidae", "Ursus", "Varanus", "Vespa", "Viverra", "Vombatus", "Vulpes", "Xenopus"],
        ["abelii", "acanthias", "aculeatus", "acutorostrata", "adeliae", "aegagrus", "afra", "africana", "africanus", "agassizii", "agilis", "ajaja", "alba", "albiventris", "alces", "alisman", "alpinus", "altaica", "aluco", "amblyrhynchos", "americanus", "amoyensis", "amphibius", "anatinus", "anguinus", "antarcticus", "antipodes", "arctica", "arcticus", "arctos", "argenteus", "aries", "asinus", "atratus", "auratus", "aurelia", "aureus", "axelrodi", "bactrianus", "barbus", "bengalensis", "berengei", "bicolor", "bicornis", "binotata", "binturong", "birostris", "bison", "borneensis", "brachyurus", "bubalis", "bufo", "buteo", "caballus", "caffer", "camelopardalis", "camelus", "canadensis", "capensis", "capucinus", "caracal", "carcharias", "catesbeiana", "catta", "centroura", "chrysocome", "chrysolophus", "cinereus", "cirratum", "civetta", "colchicus", "concolor", "corbetti", "coturnix", "cristatus", "crocuta", "cucullatus", "cuniculus", "cuvier", "cyclotis", "darwinii", "deliciosa", "delphis", "demersus", "derbyanus", "diehli", "dingo", "diphone", "domesticus", "dorsaum", "dromedarius", "dugon", "electricus", "elegans", "eques", "equus", "erminea", "esculentus", "europaeus", "eurycerus", "falconeri", "familiaris", "fasciatum", "fasciatus", "fascicularis", "ferox", "forsteri", "fragilis", "francisci", "fulgens", "fulica", "furo", "fuscata", "gallus", "gangeticus", "geoffroyi", "gigantea", "giganteus", "gigas", "glama", "gorilla", "graueri", "grevyi", "grunniens", "grypus", "guianensis", "gulo", "habroptilus", "harrisii", "hercules", "hermaphroditus", "hircus", "hoffmani", "horriblis", "horridus", "humboldti", "hydrochaeris", "iberia", "iguana", "immer", "imperator", "indicus", "indri", "iris", "jacksoni", "johnstoni", "jubatus", "kingii", "komodoensis", "laevis", "lagopus", "lagotricha", "lanigera", "larvata", "larvatus", "latrans", "lemmus", "leo", "leptonyx", "lessonae", "leucas", "liberiensis", "lotor", "luminosa", "lupus", "lutris", "lynx", "macrocephalus", "maculatus", "magarhynchos", "magellanicus", "malayanus", "manatu", "mandarinia", "mandtii", "marinus", "maritimus", "maxillaris", "maximus", "melampus", "melanoleuca", "mendiculus", "mephitis", "mexicanum", "midas", "minor", "monachus", "mule", "murinus", "musculus", "nasua", "nasuta", "nattereri", "neanderthalensis", "nebouxii", "nebulosa", "nghetinhensis", "nigra", "nivalis", "nodosus", "novaeangliae", "novaehollandiae", "obscurus", "occidentalis", "oedipus", "onca", "orca", "orientalis", "oriolus", "ornata", "ornatus", "palmarum", "paniscus", "papua", "pardalis", "pardus", "parvula", "patagonicus", "patas", "physalus", "pica", "pictus", "platyrhynchos", "populator", "porcellus", "primigenius", "procyonoides", "punctatus", "putorius", "pygerythrus", "pygmaea", "pygmaeus", "quagga", "radiata", "rattus", "reticulata", "richardsonii", "ridibundus", "robustus", "rosalia", "rosmarus", "rubecula", "rufus", "rupicapra", "sapiens", "scandiacus", "schlegeli", "scrofa", "scyphozoa", "serval", "simum", "smithi", "sondaicus", "sphinx", "spilogaster", "splendens", "strepsiceros", "striatus", "sulfuratus", "sumatrae", "sumatranus", "sumatrensis", "suricatta", "suspectum", "sylvaticus", "tajacu", "tangalunga", "tarandus", "taurinus", "taurus", "taxus", "temporaria", "tetraspis", "tibetanus", "tigrinum", "tigris", "toco", "tridactyla", "troglodytes", "truncatus", "typus", "undulatus", "unicornis", "ursinus", "vinula", "virginiana", "vitticeps", "vitulina", "viverrinus", "volitans", "vulgaris", "vulpes", "zebra", "zerda", "zygaena"],
        ["Acanth", "Ach", "Achat", "Acin", "Act", "Aeg", "Aepyc", "Ail", "Ailur", "Aj", "Al", "Alc", "Alcel", "All", "Amb", "Amphipr", "An", "Ang", "Anis", "Anth", "Ap", "Apat", "Apod", "Apten", "Ar", "Arachn", "Arct", "Arctoc", "Ard", "Arv", "Astr", "Atel", "Balaen", "Balsen", "Barb", "Bett", "Bis", "Blatt", "Bomb", "Bos", "Br", "Brach", "Bub", "Buf", "But", "Cac", "Cael", "Caim", "Call", "Cam", "Can", "Capr", "Car", "Carch", "Cas", "Cast", "Caud", "Cav", "Ceb", "Cephal", "Cer", "Cerat", "Cet", "Cett", "Chaetod", "Chamael", "Chel", "Chelon", "Chil", "Chinch", "Chiropt", "Chlam", "Chlamyd", "Chlor", "Choer", "Chol", "Cichl", "Cirr", "Civett", "Cnid", "Coccin", "Coleopt", "Connoch", "Corac", "Cot", "Croc", "Crocod", "Crypt", "Cuon", "Cygn", "Das", "Dasyp", "Daubent", "Delph", "Demosp", "Dendrob", "Dendrobr", "Derm", "Desmod", "Dic", "Dicer", "Did", "Diom", "Dipl", "Dipt", "Drac", "Drom", "Dug", "Dyn", "Echin", "Electr", "Eleph", "Eleuther", "Emyd", "Enh", "Ephem", "Eq", "Ereth", "Erith", "Erythr", "Es", "Eud", "Eupt", "Falcon", "Fel", "Formic", "Frat", "Freg", "Fun", "Galeoc", "Gall", "Gallin", "Gav", "Gekkon", "Geoch", "Gerb", "Gerr", "Ginglym", "Gir", "Glir", "Goph", "Gor", "Gruid", "Gul", "Gynnid", "Halich", "Hel", "Heleiop", "Helod", "Helog", "Hemig", "Heter", "Hier", "Hipp", "Hippop", "Holoth", "Hom", "Hydr", "Hydrod", "Hyl", "Hylob", "Hymen", "Iguan", "Indr", "Ins", "Isopt", "Labr", "Lac", "Lacert", "Lag", "Lagenorh", "Lam", "Larv", "Latr", "Lem", "Lemm", "Leontop", "Leop", "Lep", "Lepis", "Lept", "Limul", "Liss", "Lit", "Lophol", "Loxod", "Lucan", "Lusc", "Lutr", "Lyc", "Lynx", "Mac", "Macr", "Mammuth", "Mandr", "Mant", "Megad", "Megapt", "Meleagr", "Melops", "Meph", "Mer", "Mesobatr", "Mesocr", "Met", "Microc", "Mir", "Mol", "Muraen", "Must", "Myrmec", "Nand", "Nas", "Nectophr", "Neof", "Nephr", "Numid", "Nycter", "Ochot", "Octop", "Odob", "Odoc", "Okap", "Onisc", "Ophis", "Orc", "Oriol", "Ornithorh", "Oryct", "Osteol", "Ostr", "Otar", "Ov", "Pag", "Pagur", "Pan", "Panth", "Pap", "Papilion", "Parach", "Paradis", "Paradox", "Paral", "Pass", "Pav", "Pec", "Pelec", "Peloph", "Peram", "Phacoch", "Phaeth", "Phal", "Phalanger", "Pharom", "Phas", "Phascol", "Phasmat", "Phoc", "Phoenic", "Phycod", "Phys", "Physign", "Pic", "Platan", "Poec", "Pog", "Pomac", "Pong", "Prion", "Prist", "Proc", "Prot", "Protor", "Pseud", "Psitt", "Pter", "Pterom", "Pygoc", "Pygosc", "Ramph", "Ran", "Rang", "Raph", "Ratt", "Recurv", "Rhinc", "Rhinoc", "Rhinocer", "Rhinod", "Rupic", "Sag", "Saim", "Sarcoph", "Sciur", "Scorp", "Sep", "Serp", "Set", "Silurif", "Sim", "Smil", "Spermoph", "Sph", "Sphen", "Sphyr", "Squal", "Stegost", "Strig", "Strix", "Struth", "Sul", "Suric", "Sus", "Symph", "Sync", "Tachyg", "Talp", "Tam", "Tap", "Tars", "Tax", "Tetraod", "Tetraon", "Teuth", "Threskiorn", "Thyl", "Tragel", "Trem", "Trich", "Trid", "Troch", "Trogl", "Turs", "Tyt", "Uroch", "Uropl", "Urs", "Var", "Vesp", "Viv", "Vomb", "Vulp", "Xenop"],
        ["aatus", "aca", "acal", "achia", "achrus", "acine", "acna", "acus", "ae", "aeidae", "aemus", "aena", "aenidae", "aetes", "affa", "ailurus", "aius", "aja", "ajao", "ale", "alis", "alus", "amalis", "ambulus", "anchiata", "anger", "aninae", "anta", "anthidae", "antulus", "anus", "aon", "aphinae", "aphus", "apra", "aptera", "arctos", "ardus", "arhinus", "ari", "aria", "arodon", "as", "astes", "astos", "ata", "athus", "atidae", "atina", "atus", "aurus", "avia", "easter", "ebus", "echus", "ecta", "edeidae", "eidae", "eirodon", "ela", "eles", "elis", "ella", "ellidae", "elone", "elphis", "elus", "emus", "entes", "entrus", "enus", "eo", "eonidae", "ephalinae", "era", "ercula", "erdo", "eridae", "erix", "erma", "eroptera", "eros", "erra", "erta", "erus", "es", "eter", "eus", "eutes", "ia", "ialis", "ianus", "ias", "icetus", "ichthys", "icola", "ictis", "ida", "idae", "idea", "ifer", "ifera", "iforme", "igator", "iida", "iidae", "iiformes", "ilia", "ilidae", "illa", "illinae", "illus", "ilotis", "ilus", "ina", "inae", "ini", "inia", "inidia", "inoidea", "inus", "io", "ioidea", "iones", "ioninae", "iops", "ipedia", "iri", "irostra", "irus", "is", "iscus", "istoidea", "ithecus", "ithidae", "ithodes", "ithrix", "itis", "ittacus", "ius", "izon", "lossus", "o", "obius", "ocampa", "ocampus", "ocebus", "och", "ochelys", "ochoerus", "odactylus", "odea", "odectus", "odidae", "odon", "odontus", "odytes", "oepus", "oerus", "ogale", "oidea", "oileus", "ois", "olagus", "oma", "omorpha", "on", "ona", "ong", "ongiae", "onia", "onix", "onta", "ontidae", "ontinae", "onyx", "opex", "ophaga", "ophorus", "ophrys", "opidae", "opoda", "oprocta", "ops", "opsis", "optera", "opterus", "opus", "or", "ordata", "orhinus", "oria", "ormes", "orus", "oryx", "osaurus", "osteidae", "ostoma", "otamus", "otherium", "othrix", "otidae", "otriton", "ouatta", "ounga", "ox", "ozoa", "ua", "uarius", "uinus", "uis", "ula", "uma", "ur", "ura", "urga", "uridae", "urnix", "uroidea", "urus", "us", "uta", "uus", "yatis", "ydra", "ydridae", "yini", "ylax", "ylus", "ynchus", "yne", "ynnis", "yon", "ypelma", "yphorus", "ypius", "yptes", "yptula", "yrna", "ysodon", "ystoma", "yura", "yurus"],
        ["abel", "acanth", "acul", "acutor", "adel", "aeg", "afr", "agass", "agil", "aj", "al", "alb", "albiv", "alc", "alism", "alp", "alt", "amblyrh", "amoyens", "amphib", "anat", "ang", "antip", "ar", "arct", "arg", "as", "atr", "aur", "axelr", "bactr", "barb", "bengal", "ber", "bic", "bin", "bint", "bir", "bison", "born", "brach", "bub", "buf", "but", "cab", "caff", "camel", "camelop", "cap", "capuc", "car", "carch", "catesb", "catt", "centr", "chrys", "cin", "cirr", "civ", "colch", "conc", "corb", "cot", "crist", "croc", "cucull", "cunic", "cuv", "cycl", "darw", "delic", "delph", "dem", "derb", "diehl", "ding", "diph", "domest", "dors", "dromed", "dug", "electr", "eleg", "eq", "erm", "escul", "europ", "euryc", "falcon", "famil", "fasc", "fascic", "fer", "forst", "frag", "franc", "ful", "fulg", "fur", "fusc", "gall", "ganget", "geoffr", "gig", "gigant", "glam", "gor", "grauer", "grev", "grunn", "gryp", "guian", "gul", "habropt", "harr", "herc", "herm", "hirc", "hoffm", "horr", "humb", "hydroch", "ib", "iguan", "imm", "imper", "ind", "indr", "ir", "jacks", "johnst", "jub", "king", "komod", "laev", "lag", "lagotr", "lanig", "larv", "latr", "lemm", "lept", "less", "leuc", "liber", "lot", "lum", "lup", "lutr", "lynx", "ma", "macroc", "macul", "magarh", "magell", "mal", "man", "mand", "mandt", "mar", "maxill", "maxim", "mel", "melan", "mend", "meph", "mid", "min", "monach", "mul", "mur", "muscul", "nas", "natt", "neb", "nghetinh", "niv", "nod", "novaeangl", "obscur", "occid", "oedip", "onc", "or", "orc", "orn", "palm", "pan", "pap", "pard", "parv", "pat", "patag", "phys", "pic", "pict", "platyrh", "popul", "porc", "prim", "procyon", "punct", "put", "pyger", "pygm", "quagg", "radiat", "ratt", "retic", "ridib", "robust", "ros", "rosm", "rubec", "ruf", "rupic", "sap", "scand", "scr", "scyph", "serv", "sim", "sond", "sph", "spilog", "splend", "str", "streps", "sulfur", "sum", "sumatr", "suric", "susp", "sylv", "taj", "tang", "tar", "taur", "tax", "tempor", "tetr", "tibet", "tigr", "toc", "trid", "trogl", "trunc", "typ", "undul", "unic", "ursin", "vin", "vitt", "vitul", "viverr", "volit", "vulg", "vulp", "zebr", "zerd", "zyg"],
        ["acal", "actyla", "acu", "aea", "aena", "aeris", "aeus", "agrus", "aica", "aicus", "aja", "al", "alia", "alis", "allus", "alunga", "alus", "ampus", "an", "andus", "ani", "anicus", "ans", "anus", "apra", "ardalis", "aria", "arias", "arinia", "aris", "arius", "arum", "arus", "as", "aspis", "aster", "ata", "aticus", "ator", "atrae", "atta", "atu", "atum", "atus", "aum", "ayanus", "ea", "eatus", "ectum", "eensis", "eiana", "elia", "ellus", "engei", "ens", "ensis", "entalis", "enteus", "entris", "entus", "eo", "ephalus", "er", "era", "ereri", "ereus", "eri", "eria", "ersus", "erus", "es", "etta", "etti", "eus", "iacus", "iae", "ianus", "iaris", "ias", "iatum", "iatus", "iblis", "ica", "iceps", "iceros", "icha", "iculus", "icus", "idus", "iens", "iensis", "ier", "ies", "igenius", "ii", "ilis", "illa", "ilus", "ina", "inea", "inii", "inosa", "inum", "inus", "inx", "iol", "iosa", "is", "isci", "iscus", "isii", "itimus", "itis", "ius", "izii", "o", "ocome", "odes", "odi", "oditus", "odytes", "oensis", "ofa", "oides", "oldti", "oleuca", "olophus", "olor", "on", "onae", "one", "oni", "onicus", "onii", "onyx", "opus", "or", "orius", "ornis", "os", "ostrata", "ostris", "osus", "otata", "otis", "oura", "ouxii", "ox", "oyi", "ozoa", "ua", "uco", "ues", "uinus", "ula", "ularis", "ulata", "ules", "ulosa", "ulus", "um", "undus", "urnix", "urong", "us", "uta", "uus", "yanus", "yi", "ynchos", "ythrus", "yurus"],
    ];

    public function bird(): string
    {
        return static::randomElement(static::$birdSpecies) . ' ' . strtolower(static::randomElement(static::$birdSpecies));
    }

    public function creature(): string
    {
        if (mt_rand() % 2 === 0)
        {
            return sprintf('%s %s', static::randomElement(static::$creatureNameParts[0]), static::randomElement(static::$creatureNameParts[1]));
        }

        return sprintf('%s%s %s%s', static::randomElement(static::$creatureNameParts[2]), static::randomElement(static::$creatureNameParts[3]), static::randomElement(static::$creatureNameParts[4]), static::randomElement(static::$creatureNameParts[5]));
    }

    public function plant(): string
    {
        return static::randomElement(static::$plantGenus) . ' ' . static::randomElement(static::$plantType);
    }
}